logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

DescribeUserNum

GET

https://rtc-api.zego.im/

Call this interface to get the User count of the Room.

Rate Limit
For all Rooms under the same AppID: 10 times/second (test environment: 1 time/second)

Request

Query Parameters

    Action stringrequired

    Possible values: [DescribeUserNum]

    Prototype parameter of the interface

    https://rtc-api.zego.im?Action=DescribeUserNum

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RoomId string[]required

    Possible values: >= 1, <= 10

    Room ID list, supports a maximum of 10 Rooms per call. When the Room does not exist, the User count is 0. Example: RoomId[]=room1&RoomId[]=room2

Responses

Operation successful
Schema
    Code int32

    Return code. Please refer to Global Return Codes.

    Message string

    Description of the operation result.

    RequestId string

    Request ID.

    Data object
    UserCountList object[]
    List of Rooms and User counts.
  • Array[
  • RoomId string

    Room ID.

    UserCount int32

    Room User count.

    AdminUserCount int32

    Room admin User count. This parameter is mainly used in scenarios such as cloud recording and audio/video stream review; if the Room does not have such Users, please ignore this parameter. Note that UserCount includes AdminUserCount.

  • ]

Previous

SendCustomCommand

Next

DescribeUsers

On this page

Back to top